| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_uat_field_t Struct Reference

Describes a single editable field within a UAT (User Accessible Table). More...

`#include <uat.h>`

## Public Attributes
const char * | name
const char * | title
uat_text_mode_t | mode
struct { |
uat_fld_chk_cb_t chk |
uat_fld_set_cb_t set |
uat_fld_tostr_cb_t tostr |
} | cb
| Callbacks for validating, applying, and serializing this field's value.
struct { |
const void * chk |
const void * set |
const void * tostr |
} | cbdata
| Opaque context pointers passed as auxiliary data to each corresponding callback.
const void * | fld_data
const char * | desc
struct _fld_data_t * | priv

## Detailed Description

Describes a single editable field within a UAT (User Accessible Table).

## Member Data Documentation

## ◆ chk [1/2]

const void* _uat_field_t::chk

Auxiliary data pointer passed to cb.chk

## ◆ chk [2/2]

uat_fld_chk_cb_t _uat_field_t::chk

Validation callback; returns false and sets an error message if the value is invalid

## ◆ desc

const char* _uat_field_t::desc

Tooltip or help text describing the field's purpose, shown in the UAT editor

## ◆ fld_data

const void* _uat_field_t::fld_data

Pointer to static field-type metadata (e.g., an enum_val_t array for PT_TXTMOD_ENUM)

## ◆ mode

uat_text_mode_t _uat_field_t::mode

Controls how the field value is rendered, parsed, and edited

## ◆ name

const char* _uat_field_t::name

Internal name of the field, used as the key in the preferences file

## ◆ priv

struct _fld_data_t* _uat_field_t::priv

Internal private state managed by the UAT framework; not for use by dissectors

## ◆ set [1/2]

const void* _uat_field_t::set

Auxiliary data pointer passed to cb.set

## ◆ set [2/2]

uat_fld_set_cb_t _uat_field_t::set

Apply callback; writes a parsed value into the UAT record struct

## ◆ title

const char* _uat_field_t::title

Human-readable column header label shown in the UAT editor dialog

## ◆ tostr [1/2]

const void* _uat_field_t::tostr

Auxiliary data pointer passed to cb.tostr

## ◆ tostr [2/2]

uat_fld_tostr_cb_t _uat_field_t::tostr

Serialization callback; converts the field's current value to a string for display and file output

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/uat.h